Process a NPP IPS Transaction
POST
https://api.mpay.com.au/financial/v1/transaction/internationalPayment
bodyobject
200successful validation
curl --request POST \
--url https://api.mpay.com.au/financial/v1/transaction/internationalPayment \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"disbursement": {
"iftiInformation": {
"chargeBearer": "",
"chargesInformation": [
{
"agentBic": "",
"amount": {
"amount": "",
"currency": ""
},
"currency": ""
}
],
"instructedAmount": {
"amount": "",
"currency": ""
},
"instructionIdentification": "",
"previousInstructingAgent": {},
"regulatoryReporting": [
{
"details": [
{
"amount": {
"amount": "",
"currency": ""
}
}
]
}
],
"relatedRemittanceInformation": [
{
"locationDetails": [
{
"method": ""
}
]
}
],
"remittanceInformationStructured": {
"garnishmentRemittance": {
"remittedAmount": {
"amount": "",
"currency": ""
}
},
"referredDocumentAmount": {
"creditNoteAmount": {
"amount": "",
"currency": ""
},
"duePayableAmount": {
"amount": "",
"currency": ""
},
"remittedAmount": {
"amount": "",
"currency": ""
}
},
"taxRemittance": {
"totalTaxAmount": {
"amount": "",
"currency": ""
},
"totalTaxableBaseAmount": {
"amount": "",
"currency": ""
}
}
}
}
}
}'Make a NPP IPS Payment.